<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:17404e0a-d5ac-45f9-af14-67cb23cde7e6,g:bb250127-5344-4aad-a0fc-51d3d4f4d898-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:esi="http://www.esigroup.com/20211231" xmlns:xbrli="http://www.xbrl.org/2003/instance" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.esigroup.com/20211231">
  <xs:import namespace="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor-lab-fr.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor-gen-fr.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="esi-2021-12-31_lab-fr.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="esi-2021-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="esi-2021-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="esi-2021-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="tatdursultatglobalrsultatnetchargesparfonctionStatement" roleURI="http://www.esigroup.com/role/tatdursultatglobalrsultatnetchargesparfonctionStatement">
        <link:definition>1001001 - Statement - État du résultat global, résultat net, charges par fonction (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdursultatglobalcomposantesdesautreslmentsdursultatglobalprsentesnettesdimptStatement" roleURI="http://www.esigroup.com/role/tatdursultatglobalcomposantesdesautreslmentsdursultatglobalprsentesnettesdimptStatement">
        <link:definition>1002002 - Statement - État du résultat global, composantes des autres éléments du résultat global présentées nettes d’impôt (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdelasituationfinancirecourantnoncourantStatement" roleURI="http://www.esigroup.com/role/tatdelasituationfinancirecourantnoncourantStatement">
        <link:definition>1003003 - Statement - État de la situation financière, courant/non courant (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdesvariationsdescapitauxpropresStatement" roleURI="http://www.esigroup.com/role/tatdesvariationsdescapitauxpropresStatement">
        <link:definition>1004004 - Statement - État des variations des capitaux propres (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdesfluxdetrsoreriemthodeindirecteStatement" roleURI="http://www.esigroup.com/role/tatdesfluxdetrsoreriemthodeindirecteStatement">
        <link:definition>1005005 - Statement - État des flux de trésorerie, méthode indirecte (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalisesquidoiventtreappliquessilesinformationscorrespondantessontprsentesdansunrapportDetails" roleURI="http://www.esigroup.com/role/BalisesquidoiventtreappliquessilesinformationscorrespondantessontprsentesdansunrapportDetails">
        <link:definition>400401 - Balises qui doivent être appliquées si les informations correspondantes sont présentes dans un rapport (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.esigroup.com/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="esi_AutresPertesDeResultatGlobalAvantImpotsSurLesInstrumentsDeCouverture" abstract="false" name="AutresPertesDeResultatGlobalAvantImpotsSurLesInstrumentsDeCouverture" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="esi_LicencesEtMaintenance" abstract="false" name="LicencesEtMaintenance" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="esi_ImpactDeLaCapitalisationDesFraisDeDeveloppement1" abstract="false" name="ImpactDeLaCapitalisationDesFraisDeDeveloppement1" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="esi_AutresRecettesChargesDexploitation" abstract="false" name="AutresRecettesChargesDexploitation" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="esi_ResultatNetPerteEnCapitauxPropres" abstract="false" name="ResultatNetPerteEnCapitauxPropres" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="esi_ResultatDExploitationCourant1" abstract="false" name="ResultatDExploitationCourant1" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="esi_AutresCreancesEtAutresDettes" abstract="false" name="AutresCreancesEtAutresDettes" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="esi_ProjetsCofinances" abstract="false" name="ProjetsCofinances" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
